curl -X POST https://app.lunacal.ai/api/mcp/event-types/get \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{ "id": 42 }'
{
"id": 42,
"title": "30 min call",
"slug": "30min",
"length": 30,
"hidden": false,
"isPublished": true,
"description": "A quick call",
"price": 0,
"currency": "usd",
"locations": [{ "type": "integrations:zoom" }],
"schedulingType": null,
"eventTypeType": "ONE_ON_ONE",
"bookingFields": [],
"seatsPerTimeSlot": null,
"subscriptionEnabled": false,
"metadata": {}
}
Event type endpoints
Get event type
Retrieve a single event type with its full configuration.
POST
/
api
/
mcp
/
event-types
/
get
curl -X POST https://app.lunacal.ai/api/mcp/event-types/get \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{ "id": 42 }'
{
"id": 42,
"title": "30 min call",
"slug": "30min",
"length": 30,
"hidden": false,
"isPublished": true,
"description": "A quick call",
"price": 0,
"currency": "usd",
"locations": [{ "type": "integrations:zoom" }],
"schedulingType": null,
"eventTypeType": "ONE_ON_ONE",
"bookingFields": [],
"seatsPerTimeSlot": null,
"subscriptionEnabled": false,
"metadata": {}
}
Returns one event type by ID, including booking fields, workflows, hosts, and schedule.
Body
integer
required
ID of the event type.
Response
Returns the full event type object. Key fields include:| Field | Description |
|---|---|
id, title, slug, description | Basic details |
length | Duration in minutes |
hidden, isPublished | Visibility |
price, currency | Pricing, in the smallest currency unit |
locations | Meeting locations |
schedulingType, eventTypeType | Scheduling mode and Lunacal event variant |
bookingFields | Questions on the booking form |
workflows, webhooks | Attached automations |
hosts, schedule | Assigned hosts and availability schedule |
seatsPerTimeSlot | Seats per slot, for seated events |
minSlotsPerPackage, maxSlotsPerPackage | Package settings |
subscriptionEnabled | Subscription settings |
seoMeta, metadata | SEO and custom metadata |
curl -X POST https://app.lunacal.ai/api/mcp/event-types/get \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{ "id": 42 }'
{
"id": 42,
"title": "30 min call",
"slug": "30min",
"length": 30,
"hidden": false,
"isPublished": true,
"description": "A quick call",
"price": 0,
"currency": "usd",
"locations": [{ "type": "integrations:zoom" }],
"schedulingType": null,
"eventTypeType": "ONE_ON_ONE",
"bookingFields": [],
"seatsPerTimeSlot": null,
"subscriptionEnabled": false,
"metadata": {}
}